salesforce.cdp.hyperdb.v1

## Enum OutputFormat

- java.lang.Object
- - java.lang.Enum<OutputFormat>
  - - salesforce.cdp.hyperdb.v1.OutputFormat

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<OutputFormat>

    public enum OutputFormat
    extends Enum<OutputFormat>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `salesforce.hyperdb.grpc.v1.OutputFormat`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARROW_IPC` `ARROW_IPC = 5;`
`ARROW_LEGACY` `ARROW_LEGACY = 2;`
`ARROW_LEGACY_IPC` `ARROW_LEGACY_IPC = 4;`
`JSON_ARRAY` `JSON_ARRAY = 6;`
`JSON_LEGACY_DICT` `JSON_LEGACY_DICT = 3;`
`OUTPUT_FORMAT_UNSPECIFIED` `OUTPUT_FORMAT_UNSPECIFIED = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ARROW_IPC_VALUE` `ARROW_IPC = 5;`
`static int` `ARROW_LEGACY_IPC_VALUE` `ARROW_LEGACY_IPC = 4;`
`static int` `ARROW_LEGACY_VALUE` `ARROW_LEGACY = 2;`
`static int` `JSON_ARRAY_VALUE` `JSON_ARRAY = 6;`
`static int` `JSON_LEGACY_DICT_VALUE` `JSON_LEGACY_DICT = 3;`
`static int` `OUTPUT_FORMAT_UNSPECIFIED_VALUE` `OUTPUT_FORMAT_UNSPECIFIED = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static OutputFormat` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<OutputFormat>` `internalGetValueMap()`
`static OutputFormat` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static OutputFormat` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static OutputFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OutputFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OUTPUT_FORMAT_UNSPECIFIED

    public static final OutputFormat OUTPUT_FORMAT_UNSPECIFIED

`OUTPUT_FORMAT_UNSPECIFIED = 0;`

#### ARROW_LEGACY

    public static final OutputFormat ARROW_LEGACY

`ARROW_LEGACY = 2;`

#### JSON_LEGACY_DICT

    public static final OutputFormat JSON_LEGACY_DICT

`JSON_LEGACY_DICT = 3;`

#### ARROW_LEGACY_IPC

    public static final OutputFormat ARROW_LEGACY_IPC

`ARROW_LEGACY_IPC = 4;`

#### ARROW_IPC

    public static final OutputFormat ARROW_IPC

`ARROW_IPC = 5;`

#### JSON_ARRAY

    public static final OutputFormat JSON_ARRAY

`JSON_ARRAY = 6;`

#### UNRECOGNIZED

    public static final OutputFormat UNRECOGNIZED

### Field Detail

#### OUTPUT_FORMAT_UNSPECIFIED_VALUE

    public static final int OUTPUT_FORMAT_UNSPECIFIED_VALUE

`OUTPUT_FORMAT_UNSPECIFIED = 0;`

See Also:
  Constant Field Values

#### ARROW_LEGACY_VALUE

    public static final int ARROW_LEGACY_VALUE

`ARROW_LEGACY = 2;`

See Also:
  Constant Field Values

#### JSON_LEGACY_DICT_VALUE

    public static final int JSON_LEGACY_DICT_VALUE

`JSON_LEGACY_DICT = 3;`

See Also:
  Constant Field Values

#### ARROW_LEGACY_IPC_VALUE

    public static final int ARROW_LEGACY_IPC_VALUE

`ARROW_LEGACY_IPC = 4;`

See Also:
  Constant Field Values

#### ARROW_IPC_VALUE

    public static final int ARROW_IPC_VALUE

`ARROW_IPC = 5;`

See Also:
  Constant Field Values

#### JSON_ARRAY_VALUE

    public static final int JSON_ARRAY_VALUE

`JSON_ARRAY = 6;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static OutputFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OutputFormat c : OutputFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OutputFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static OutputFormat valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static OutputFormat forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<OutputFormat> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static OutputFormat valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)